using Lada.Framework.Data.Domains.ErrorReports;
using Lada.Framework.Data.Mappings.EntityMappings.ErrorReports;
using Microsoft.EntityFrameworkCore;

namespace Lada.Framework.Data.Mappings.DbContexts
{
    public partial class LadaDbContext
    {
        private void ApplyErrorReportMappings(ModelBuilder builder)
        {
            builder
                .RegisterEntityMapping<ErrorReport, ErrorReportMap>()
                .RegisterEntityMapping<ErrorReportMedia, ErrorReportMediaMap>();
        }
    }
}
